Subject: Re: bug#18405: 24.3.93; bat-mode.el

From: Daniel Colascione <[email-masked]>
Date: Sun, 07 Sep 2014 19:47:52 -0700

On 09/07/2014 07:42 PM, Eli Zaretskii wrote:
>> Date: Sun, 07 Sep 2014 18:04:15 -0700
>> From: Daniel Colascione <[email-masked]>
>> CC: [email-masked], [email-masked]
>>
>> On 09/07/2014 08:17 AM, Eli Zaretskii wrote:
>>>> Date: Sat, 06 Sep 2014 20:24:46 -0700
>>>> From: Daniel Colascione <[email-masked]>
>>>>
>>>> Mind just importing http://www.emacswiki.org/emacs/ntcmd.el into trunk?
>>>
>>> Would you mind some comments about it?
>>
>> Sorry --- I should have been more specific. I wrote ntcmd a while ago
>> because I was frustrated with existing modes for working with batch
>> files. ntcmd uses a parser to deal with cmd.exe's very weird syntax;
>> it's important to do that because cmd's syntax is highly irregular and
>> using regular font-lock patterns to match it is doomed --- in
>> particular, matches involving loop variables are complicated. (See
>> ntcmd-forward-generic-cmd and ntcmd-forward-for-cmd for some interesting
>> special cases and fossilized cmd.exe bugs.)
> 
> I've read the code, so yes, I've seen that.
> 
> My point was that I saw a few of its aspects that might benefit from
> improvements, and if we are going to add that package to Emacs, I'd
> like to see those happen.

Like what? In 2011, you just mentioned that we should be using or
enhancing bat-generic-mode, which, as I explained, is insufficient.